#### Previous topic

scipy.stats.mstats.find_repeats

#### Next topic

scipy.stats.mstats.kendalltau

# scipy.stats.mstats.friedmanchisquare

`scipy.stats.mstats.``friedmanchisquare`(*args)

  Friedman Chi-Square is a non-parametric, one-way within-subjects ANOVA. This function calculates the Friedman Chi-square test for repeated measures and returns the result, along with the associated probability value.

  Each input is considered a given group. Ideally, the number of treatments among each group should be equal. If this is not the case, only the first n treatments are taken into account, where n is the number of treatments of the smallest group. If a group has some missing values, the corresponding treatments are masked in the other groups. The test statistic is corrected for ties.

  Masked values in one group are propagated to the other groups.

  Returns:

  statistic : float

  > the test statistic.

  pvalue : float

  > the associated p-value.